# SPEC file overview:
# https://docs.fedoraproject.org/en-US/quick-docs/creating-rpm-packages/#con_rpm-spec-file-overview
# Fedora packaging guidelines:
# https://docs.fedoraproject.org/en-US/packaging-guidelines/

%global debug_package %{nil}

Name:    minikube
Version: 1.32.0
Release: 2.ndias%{?dist}
Summary: Run Kubernetes locally

License: Apache-2.0
URL:     https://github.com/kubernetes/%{name}
Source0: https://github.com/kubernetes/%{name}/archive/refs/tags/v%{version}.tar.gz#/%{name}-%{version}.tar.gz

BuildRequires: make, go, git


%description
minikube implements a local Kubernetes cluster on macOS, Linux, and Windows.
minikube's primary goals are to be the best tool for local Kubernetes
application development and to support all Kubernetes features that fit.

%prep
%setup -q


%build
export GOFLAGS=-buildmode=pie
make %{?_smp_mflags}
strip --strip-debug --strip-unneeded out/%{name}


%install
install -m 0755 -D out/%{name} %{buildroot}%{_bindir}/%{name}


%files
%doc CHANGELOG.md code-of-conduct.md CONTRIBUTING.md README.md
%license LICENSE

%{_bindir}/%{name}

%changelog
* Fri Jul 16 2024 Nuno Dias <Nuno.Dias@gmail.com> - 1.32.0-2.ndias
- Version 1.32.0
